package com.example.lfrmobileapp;

import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;

public class ExtendedSocket {
    private final Socket socket;

    public ExtendedSocket(Socket socket) {
        this.socket = socket;
    }

    public void sendMessage(String message) throws IOException {
        synchronized (socket){
            DataOutputStream outputStream = new DataOutputStream(socket.getOutputStream());
            outputStream.writeBytes(message);
            outputStream.flush();
        }
    }

    public void closeSocket() throws IOException {
        this.socket.close();
    }
}
